Jump to content


Photo

"xcloader.exe"?


  • Please log in to reply
4 replies to this topic

#1 Triv

Triv

    Rookie

  • Forum Members
  • Pip
  • 0 posts

Posted 14 July 2009 - 09:46 PM

Hi there,

'Been looking around for some help regarding this matter:

Recently, I purchased X-Com UFO Defense through Steam so I wouldn't have to fiddle around and set-up all these other various versions (CE, Gold, DosBox, etc.) of the game until one works. The Steam version works fine, running dosbox in the backround to help solve all the various issues. I don't have any serious gripes with it apart from the slight choppiness. That's when I saw the xcloader.exe that came along with the rest of the xcomutil files. First off, what exactly is this? I ran it and it booted up UFO Defense but I noticed two major differences. 1) No xcomutil changes, and 2) .. the choppiness went away entirely. I've never seen the game run so damn smoothly!

What I would love is to run UFO Defense via xcloader.exe with xcomutil changes in affect. Is this possible?

#2 j'ordos

j'ordos

    Alien Concept Task Force

  • Xenocide Artwork Department
  • 5,059 posts

Posted 15 July 2009 - 03:01 AM

Xcomutil comes with that loader, it asks if you want to use it the first time you run xcusetup.bat ("Do you want to enable f0dder's loader?")
If you already answered no to that question delete the 'xcom4win.xcf' file that should be somewhere in that same map and run xcusetup.bat again.

Edited by j'ordos, 15 July 2009 - 03:01 AM.

"You can't trust your eyes if your imagination's out of focus" - Mark Twain
"The mind is like an umbrella, it functions best when open" - Walter Gropius
Posted Image
SNEKK BLOG U-LAR MEKHH! GAHGHH! RK!
GRRGH RGGHH SNORRTT GHACKHGG

Now presented in DoubleVision™ (where drunk)

#3 Triv

Triv

    Rookie

  • Forum Members
  • Pip
  • 0 posts

Posted 15 July 2009 - 11:46 PM

I don't see any message about f0dders loader the first time I run xcusetup.bat.
I did a fresh install of UFO Defense, ran the xcusetup.bat, and this is what pops up:

Posted Image

Am I missing something here? :\
I'm running xcomutil 9.6

Edited by Triv, 15 July 2009 - 11:47 PM.


#4 j'ordos

j'ordos

    Alien Concept Task Force

  • Xenocide Artwork Department
  • 5,059 posts

Posted 16 July 2009 - 04:05 AM

You need to have the CE/Gold edition installed.
This one is detected by xcomutil as being the 1.4 DOS version of X-Com.
"You can't trust your eyes if your imagination's out of focus" - Mark Twain
"The mind is like an umbrella, it functions best when open" - Walter Gropius
Posted Image
SNEKK BLOG U-LAR MEKHH! GAHGHH! RK!
GRRGH RGGHH SNORRTT GHACKHGG

Now presented in DoubleVision™ (where drunk)

#5 Linda_Ei

Linda_Ei

    Squaddie

  • Forum Members
  • PipPip
  • 2 posts

Posted 08 October 2009 - 02:46 AM

Is the EXE 4 Battle Theme for EXE 5 DS the only track that have add-ons?
error in setupapi dll missing